Subject: [TR] Fw: Yummy eats for Christmas OR anytime

From: Janis Dabars <[email-masked]>
Date: Fri, 21 Dec 2012 11:15:25 -0800 (PST)

----- Forwarded Message ----
From: Janis Dabars <[email-masked]>
To:
[email-masked]
Sent: Fri, December 21, 2012 1:48:30 PM
Subject: Fw: Yummy eats
for Christmas OR anytime

>
>----- Forwarded Message ----
>>From:
Janis Dabars [email-masked]
>>Subject: Yummy eats for Christmas OR anytime
>>
>>
>>
>>
>>..
>>
>>
>>Here is what I am preparing for  Christmas,
>>New Years
day or any time.  NON FATTENING  VERRRY YUMMY.  Fresh pork(11 pound)
>>picnic, injected with orange juice, sprinkled with sea salt and coarse
ground 
>>black pepper, double  wrap in heavy aluminum foil, skin side up,
score skin with 
>>razor blade in 1 inch diamond pattern.  Wrap tight and
place in pan with water 
>>in it.   Place in oven, turn up to 400 F degrees
and bake for 2 hours, turn down 
>>to 300 F degrees and bake for 10
hours---YES  10 HOURS---
>>replenish water in pan about every three hours.
>>After  10 hours, yes 10 hours,  
>>take out of oven, leave in pan, unwrap
foil and suck out juice(save for sauer 
>>kraut)  Internal temp of meat should
be about 210 F degree and nicely 
>>brown/tan.  If like the outside  more
crunchy---turn on broil  for about 10--15 
>>minutes  until it barely stars to
smoke.
>>Out of the oven, let it rest/cool for about 1 hour, put on serving
platter.  
>>This tastes heavenly---NO, you will not set stove on fire with
all the 
>>cooking---like mother in law said.  I started cooking, in oven, at
10 pm, turned 
>>down to 300 F at midnite, went to bed, at 3 am added water to
pan(as needed) 
>>went to bed.
>>At 6 am , water as needed---back to bed till 
9 am to finish up baking.   Once 
>>you do it this way----no other way will
do.  Cooking/baking is the southern 
>>syle,
>>s l o w     and    l o w
>> 
>>NOW the piece de resistance.   The sauer kraut.
>>3 cans drained Libby
Bavarian style(with carraway seeds) half a small head 
>>cabbage---finely
shreaded.
>>Put both on baking pan, pour ham dripings(which you saved) as per
taste, mix and 
>>slow sautee untill
>>cabbage tender.  Turn up heat untill
kraut/cabbage mixture carmelizez(Somewhat 
>>brown but not burned)
>>Adjust
amount of dripings as per taste, mix and serve warm.  Heaven!!!!  Hot
>>English Coleman dry powder  mustard mix ,with a shot of Vodka---recepy on
>>request. ATOMIC HORSERADISH
>>as a condiment, and it is real hot.
>>If you
want to order Atomic, from California, ask me for directions.
>>Atomic is so
hot/spicey that you dish it out with METAL spoon, plastic spoon 
>>melts but
it is real good---better than any store bought.  I recommend it highly 
>>and
I that aint't no BS.
>> 
>>The ham picnics can be baked more than one at a
time.  This time I prepared  two 
>>but have done 8 at a time in a commercial
oven/stove.
>>Bon voyage, got to go eat, with boiled potatos on the side and
boiled kapujiner 
>>peas from Holland(ask where to get peas--me,  $5.00 a
pound---stores well as 
>>they are dried.  Ham/roast tastes even better cold,
second, third day.
>>Janis, Indianapolis, Indiana, U.S.A.
>>[email-masked]
>> 
>>
>>
>> 

** [email-masked] **

Archive: http://www.team.net/archive